#ifndef TMDisplayingHitMapEq_H
#define TMDisplayingHitMapEq_H

#include "TMDisplaying.h"
#include <RQ_OBJECT.h>

class TMDisplayingHitMapEq : public TMDisplaying {

RQ_OBJECT("TMDisplayingHitMapEq")

 public:
  TMDisplayingHitMapEq(const Char_t *frameName, const TGWindow *p, UInt_t width, UInt_t height, TMHistogramming *hist, UInt_t id, UInt_t plotNr, UInt_t cloneId);
  virtual ~TMDisplayingHitMapEq();
  
  virtual void ExecuteEvent(Int_t event, Int_t px, Int_t py, TObject *sel);
  virtual void ProcessReset();

  virtual void ProcessStartRun();
  virtual void ProcessEndRun();

 protected:

  ClassDef(TMDisplayingHitMapEq, 0)
};

#endif
